package com.bcxin.vo.wps;

/**
 * @version V1.0
 * @author jianjun.wang
 * @className WpsFileVo
 * @packageName com.bcxin.vo.wps
 * @description wps自带的文件VO
 * @data 2019-09-02 13:54
 **/
public class WpsFileVo {

	public WpsFileVo() {
		
	}

	/*
	id:  "132aa30a87064",                 //文件id,字符串长度小于40
    name : "example.doc",                //文件名
    version: 1,                        //当前版本号，位数小于11
    size: 200,                        //文件大小，单位为kb
    creator: "id0",                        //创建者id，字符串长度小于40
    create_time: 1136185445,            //创建时间，时间戳，单位为秒
    modifier: "id1000",                    //修改者id，字符串长度小于40
    modify_time: 1551409818,            //修改时间，时间戳，单位为秒
    download_url: "http://www.xxx.cn/v1/file?fid=f132aa30a87064",  //文档下载地址
    */
	
    private String id;
	private String name;
	private int version;
	private Long size;
	private String creator;
	private long create_time;
	private String modifier;
	private long modify_time;
	private String download_url;
	
	private UserAclVo user_acl;
	private WatermarkVo watermark;
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public int getVersion() {
		return version;
	}
	public void setVersion(int version) {
		this.version = version;
	}
	public Long getSize() {
		return size;
	}
	public void setSize(Long size) {
		this.size = size;
	}
	public String getCreator() {
		return creator;
	}
	public void setCreator(String creator) {
		this.creator = creator;
	}
	public long getCreate_time() {
		return create_time;
	}
	public void setCreate_time(long create_time) {
		this.create_time = create_time;
	}
	public String getModifier() {
		return modifier;
	}
	public void setModifier(String modifier) {
		this.modifier = modifier;
	}
	public long getModify_time() {
		return modify_time;
	}
	public void setModify_time(long modify_time) {
		this.modify_time = modify_time;
	}
	public String getDownload_url() {
		return download_url;
	}
	public void setDownload_url(String download_url) {
		this.download_url = download_url;
	}
	public UserAclVo getUser_acl() {
		return user_acl;
	}
	public void setUser_acl(UserAclVo user_acl) {
		this.user_acl = user_acl;
	}
	public WatermarkVo getWatermark() {
		return watermark;
	}
	public void setWatermark(WatermarkVo watermark) {
		this.watermark = watermark;
	}
	
	
}
